スケジュール一覧
GET
https://api.youvico.com/api/projects/:id/schedules- レート制限
- Default
- スコープ
- schedules:read
プロジェクトのスケジュール一覧を取得します。
例
curl 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/schedules' \
-H 'Authorization: Bearer YOUR_API_KEY'
{
"data": [
{
"id": "5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b",
"name": "Final review",
"description": "Review the final cut",
"startDate": "2026-05-31",
"startTime": "09:00",
"endDate": "2026-06-01",
"endTime": "18:00",
"color": "BLUE"
}
]
}
リクエスト
curl -X GET 'https://api.youvico.com/api/projects/bdbff5de-96d7-468f-9db0-85fe28bd6b62/schedules' \
-H 'Authorization: Bearer YOUR_API_KEY'
レスポンス200 OK
{
"data": [
{
"id": "5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b",
"name": "Final review",
"description": "Review the final cut",
"startDate": "2026-05-31",
"startTime": "09:00",
"endDate": "2026-06-01",
"endTime": "18:00",
"color": "BLUE"
}
]
}
リクエスト
パス
idstringrequiredプロジェクトID
レスポンス
200 OK を返します。
dataarrayスケジュール
data[].idstringスケジュールID
例: 5f2c8a1e-3b4d-4e6f-9a7b-1c2d3e4f5a6b
data[].namestringスケジュール名
例: Final review
data[].descriptionstring?スケジュールの説明
例: Review the final cut
data[].startDatestring開始日。YYYY-MM-DD
例: 2026-05-31
data[].startTimestring?開始時刻。HH:mm、終日のスケジュールは null
例: 09:00
data[].endDatestring?終了日。YYYY-MM-DD、開始日に終わる場合は null
例: 2026-06-01
data[].endTimestring?終了時刻。HH:mm
例: 18:00
data[].colorstringスケジュールの色
指定できる値: NONEREDORANGEYELLOWGREENBLUEPURPLEPINKGRAY
例: BLUE